// SettingsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "testatm.h"
#include "common.h"
#include ".\settingsdlg.h"

#define UPDATE_INTERVAL 2 // in secondes

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CONNECTION_INFO ConnectionInfo;
extern BOOL bPowerOff;
extern BOOL bBatchMode;

ERROR_MESSAGE ErrorMessage =
{
    {FALSE},
    {""}

};
/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CSettingsDlg dialog


CSettingsDlg::CSettingsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSettingsDlg::IDD, pParent)
	, m_MacAddress(_T(""))
	, m_Loopback(FALSE)
	, m_GFCValue(0)
	, m_PTValue(0)
	, m_CLPValue(0)
	, m_ReceivedCellHeader(_T(""))
{
   	//{{AFX_DATA_INIT(CSettingsDlg)
    m_ConnectionType = -1;
   	m_Selector = _T("00");
    m_PCR =353208;
    m_SCR =353208;
    m_MBS=255;
    m_VCI =33;
    m_VPI =0;
	m_Receive = FALSE;
	m_Xmit = FALSE;
	m_Status = _T("");
	m_ServerAddress = _T("");
	m_LocalAddress = _T("");
	m_PacketSize = 0;
	m_XmitPackets = 0;
	m_XmitRate = 0.0f;
	m_ReceiveRate = 0.0f;
	m_ReceiveLost = 0;
	m_ReceivePackets = 0;
	m_SetQOS = TRUE;
	m_AssignedVPI = 0;
	m_AssignedVCI = 0;
	m_RemoteAddress = _T("");
	m_ATMDeviceCount = 0;
	m_XmitBytes = 0;
	m_ReceiveBytes = 0;
	IntervalCheck = 0;
	//}}AFX_DATA_INIT
    AdapterCount=0;
    pAdapters = (PATM_ADAPTER)calloc(MAX_ATM_ADAPTERS, sizeof(ATM_ADAPTER));

}
CSettingsDlg::~CSettingsDlg()
{
	if (pAdapters != NULL)
	{
		free(pAdapters);
		pAdapters=NULL;
	}

}

void CSettingsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSettingsDlg)
	DDX_Control(pDX, IDC_SELECT_DEVICE, m_SelectDevice);
	DDX_Control(pDX, IDC_LAYER_CHOICE, m_LayerChoice);
	DDX_Control(pDX, IDC_QOS_CHOICE, m_QOSChoice);
	DDX_Radio(pDX, IDC_CNX_TYPE1, m_ConnectionType);
	DDX_Text(pDX, IDC_EDIT_ATM_SELECTOR, m_Selector);
	DDV_MaxChars(pDX, m_Selector, 2);
	DDX_Text(pDX, IDC_EDIT_PCR, m_PCR);
	DDV_MinMaxUInt(pDX, m_PCR, 1, 353208);
	DDX_Text(pDX, IDC_EDIT_SCR, m_SCR);
	DDV_MinMaxDWord(pDX, m_SCR, 1, 353208);
	DDX_Text(pDX, IDC_EDIT_MBS, m_MBS);
	DDV_MinMaxUInt(pDX, m_MBS, 1, 255);
	DDX_Text(pDX, IDC_EDIT_VCI, m_VCI);
	DDV_MinMaxUInt(pDX, m_VCI, 0, 65535);
	DDX_Text(pDX, IDC_EDIT_VPI, m_VPI);
	DDV_MinMaxByte(pDX, m_VPI, 0, 255);
	DDX_Check(pDX, IDC_RECEIVE, m_Receive);
	DDX_Check(pDX, IDC_XMIT, m_Xmit);
	DDX_Text(pDX, IDC_EDIT_STATUS, m_Status);
	DDX_Text(pDX, IDC_EDIT_ATM_SERVER_ADDRESS, m_ServerAddress);
	DDV_MaxChars(pDX, m_ServerAddress, 40);
	DDX_Text(pDX, IDC_EDIT_LOCAL_ADDRESS, m_LocalAddress);
	DDV_MaxChars(pDX, m_LocalAddress, 40);
	DDX_Text(pDX, IDC_EDIT_SIZE, m_PacketSize);
	DDV_MinMaxUInt(pDX, m_PacketSize, 48, 65536);
	DDX_Text(pDX, IDC_EDIT_XMIT, m_XmitPackets);
	DDX_Text(pDX, IDC_EDIT_XMIT_RATE, m_XmitRate);
	DDX_Text(pDX, IDC_EDIT_RECEIVE_RATE, m_ReceiveRate);
	DDX_Text(pDX, IDC_EDIT_LOST, m_ReceiveLost);
	DDX_Text(pDX, IDC_EDIT_RECEIVE, m_ReceivePackets);
	DDX_Check(pDX, IDC_CHECK_QOS, m_SetQOS);
	DDX_Text(pDX, IDC_EDIT_VPI2, m_AssignedVPI);
	DDX_Text(pDX, IDC_EDIT_VCI2, m_AssignedVCI);
	DDX_Text(pDX, IDC_EDIT_REMOTE_ADDRESS, m_RemoteAddress);
	DDX_Text(pDX, IDC_DEVICE_COUNT, m_ATMDeviceCount);
	DDX_Text(pDX, IDC_EDIT_XMIT_BYTES, m_XmitBytes);
	DDX_Text(pDX, IDC_EDIT_RECEIVE_BYTES, m_ReceiveBytes);
	//}}AFX_DATA_MAP
	DDX_Text(pDX, IDC_MAC_ADDRESS, m_MacAddress);
	DDX_Check(pDX, IDC_CHECK_LOOPBACK, m_Loopback);
	DDX_Text(pDX, IDC_EDIT_GFC, m_GFCValue);
	DDV_MinMaxByte(pDX, m_GFCValue, 0, 15);
	DDX_Text(pDX, IDC_EDIT_PT, m_PTValue);
	DDV_MinMaxByte(pDX, m_PTValue, 0, 7);
	DDX_Text(pDX, IDC_EDIT_CLP, m_CLPValue);
	DDV_MinMaxByte(pDX, m_CLPValue, 0, 1);
	DDX_Text(pDX, IDC_EDIT_ATM_HEADER, m_ReceivedCellHeader);
}


BEGIN_MESSAGE_MAP(CSettingsDlg, CDialog)
	//{{AFX_MSG_MAP(CSettingsDlg)
	ON_BN_CLICKED(IDC_CNX_TYPE1, OnCnxType)
	ON_CBN_SELCHANGE(IDC_LAYER_CHOICE, OnSelchangeLayerChoice)
	ON_CBN_SELCHANGE(IDC_QOS_CHOICE, OnSelchangeQosChoice)
	ON_BN_CLICKED(IDC_START, OnStart)
	ON_BN_CLICKED(IDC_STOP, OnStop)
	ON_WM_TIMER()
	ON_EN_KILLFOCUS(IDC_EDIT_PCR, OnKillfocusEditPcr)
	ON_EN_KILLFOCUS(IDC_EDIT_SCR, OnKillfocusEditScr)
	ON_BN_CLICKED(IDC_CHECK_QOS, OnCheckQos)
	ON_BN_CLICKED(IDC_CNX_TYPE2, OnCnxType)
	ON_BN_CLICKED(IDC_CNX_TYPE3, OnCnxType)
	ON_CBN_SELCHANGE(IDC_SELECT_DEVICE, OnSelchangeSelectDevice)
	//}}AFX_MSG_MAP
    ON_MESSAGE(PWM_INF_MESSAGE, OnInfoMessage)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSettingsDlg message handlers

void CSettingsDlg::SetATMAddresses(void)
{

	int CurrentDevice =	 m_SelectDevice.GetCurSel();
    ConnectedState = STATE_NOT_CONNECTED;
    
    memset(LocalATMAddress,0,20);

	if (pAdapters[CurrentDevice].AdapterType == WDM_ADAPTER)
	{

        m_LocalAddress = _T("Not Supported");       

	}
	else
	{
		if (SockGetLocalATMAddress(CurrentDevice,(BYTE *)&LocalATMAddress) != TRUE)
		{
			m_LocalAddress= _T("Not Found");       

		}
		else
		{
			m_ServerAddress.Format("%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x",
									LocalATMAddress[0],LocalATMAddress[1],LocalATMAddress[2],LocalATMAddress[3],
									LocalATMAddress[4],LocalATMAddress[5],LocalATMAddress[6],LocalATMAddress[7],
									LocalATMAddress[8],LocalATMAddress[9],LocalATMAddress[10],LocalATMAddress[11],
									LocalATMAddress[12]);

			m_LocalAddress.Format("%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x",
									LocalATMAddress[0],LocalATMAddress[1],LocalATMAddress[2],LocalATMAddress[3],
									LocalATMAddress[4],LocalATMAddress[5],LocalATMAddress[6],LocalATMAddress[7],
									LocalATMAddress[8],LocalATMAddress[9],LocalATMAddress[10],LocalATMAddress[11],
									LocalATMAddress[12],LocalATMAddress[13],LocalATMAddress[14],LocalATMAddress[15],
									LocalATMAddress[16],LocalATMAddress[17],LocalATMAddress[18],LocalATMAddress[19]);
		}

	}
	m_MacAddress.Format("%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x",
						pAdapters[CurrentDevice].MacAddress.Digit[0],
						pAdapters[CurrentDevice].MacAddress.Digit[1],
						pAdapters[CurrentDevice].MacAddress.Digit[2],
						pAdapters[CurrentDevice].MacAddress.Digit[3],
						pAdapters[CurrentDevice].MacAddress.Digit[4],
						pAdapters[CurrentDevice].MacAddress.Digit[5]);

}


BOOL CSettingsDlg::GetAdapterInformation()
{
	int i;
	BOOL bReturn = FALSE;
    
    if (AdapterCount > 0)
    {
		if (pAdapters[0].AdapterType == NDIS_ADAPTER)
		{
			if (ProtocolATMStart())
			{
				bReturn = TRUE;
				for (i = 0; i <AdapterCount; i++)
				{
					if (!ProtocolATMGetInformation(&pAdapters[i]))
					{
						CATCH_MESSAGE();
						bReturn = FALSE;
					}
					else if (memcmp(&pAdapters[i].MacAddress, "\x00\xc0\xfd",3)!= 0)
					{

   						THROW_MESSAGE("Warning: The MAC Address for the PROATM Adapter %d is not correctly programmed !", 0);
						CATCH_MESSAGE();
						bReturn = FALSE;
					}
				}
			   ProtocolATMStop();

			}
			else
			{
				CATCH_MESSAGE();
			}
		}
		else
		{
			
			bReturn = TRUE;
			for (i = 0; i <AdapterCount; i++)
			{
				if (!WDMATMGetInformation(&pAdapters[i]))
				{
					CATCH_MESSAGE();
					bReturn = FALSE;
				}
				else if (memcmp(&pAdapters[i].MacAddress, "\x00\xc0\xfd",3)!= 0)
				{
					THROW_MESSAGE("Warning: The MAC Address for the PROATM Adapter %d is not correctly programmed !", 0);
					CATCH_MESSAGE();
					bReturn = FALSE;
					}
				}
		}
    }

 	return bReturn;
}

BOOL CSettingsDlg::GetATMDevices(PATM_ADAPTER pAdapters, DWORD *pAdapterCount)
{
	*pAdapterCount = 0;
	return WDMGetATMDevices(pAdapters, pAdapterCount);

}


BOOL CSettingsDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();


	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	

	// TODO: Add extra initialization here
    DWORD i;
    char iString[10];
	m_ConnectionType=0;
    m_LayerChoice.SetCurSel(0);
    m_QOSChoice.SetCurSel(0);
    
    m_Xmit=TRUE;
    m_Receive=TRUE;
    m_PacketSize=9180;
    m_ATMDeviceCount=0;
    if (GetATMDevices(pAdapters ,&m_ATMDeviceCount) == FALSE)
    {
        CATCH_MESSAGE();
        m_ATMDeviceCount=0;
    }
    else
    {
        if (m_ATMDeviceCount == 0)
        {
   		    THROW_MESSAGE("Warning: No Active ATM Devices detected !", 0);
            CATCH_MESSAGE();
        }


		AdapterCount = m_ATMDeviceCount;
        for (i=0;i <m_ATMDeviceCount; i++)
        {
           	_itoa(i,(char *)iString,10);
		    m_SelectDevice.AddString(iString);

        }
        m_SelectDevice.SetCurSel(0);
        
		GetAdapterInformation();
        SetATMAddresses();
    }


    UpdateData(FALSE);
	OnSelchangeLayerChoice();

	if (bBatchMode)
		OnStart();
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
void CSettingsDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CSettingsDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CSettingsDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}



void CSettingsDlg::OnCnxType() 
{
	// TODO: Add your control notification handler code here
    SetSelections();	
}

void CSettingsDlg::OnSelchangeLayerChoice() 
{
	// TODO: Add your control notification handler code here
    SetSelections();	

}

void CSettingsDlg::OnSelchangeQosChoice() 
{
	// TODO: Add your control notification handler code here
    SetSelections();	
	
}


void CSettingsDlg::OnCheckQos() 
{
	// TODO: Add your control notification handler code here
   SetSelections();	
	
}

void CSettingsDlg::OnCancel() 
{
	// TODO: Add extra cleanup here
	
	CDialog::OnCancel();
}

void CSettingsDlg::SetSelections()
{
    int QOSChoice;

    UpdateData(TRUE);

	TestDevice =  m_SelectDevice.GetCurSel();
	int AALType = m_LayerChoice.GetCurSel();

    if (m_ATMDeviceCount == 0)
    {
        GetDlgItem(IDC_CNX_TYPE1)->EnableWindow(FALSE);
        GetDlgItem(IDC_CNX_TYPE2)->EnableWindow(FALSE);
        GetDlgItem(IDC_CNX_TYPE3)->EnableWindow(FALSE);
        GetDlgItem(IDC_STATIC_QOS)->EnableWindow(FALSE);
        GetDlgItem(IDC_QOS_CHOICE)->EnableWindow(FALSE);
        GetDlgItem(IDC_CHECK_QOS)->EnableWindow(FALSE);
        GetDlgItem(IDC_STATIC_LAYER)->EnableWindow(FALSE);
        GetDlgItem(IDC_LAYER_CHOICE)->EnableWindow(FALSE);
        GetDlgItem(IDC_XMIT)->EnableWindow(FALSE);
        GetDlgItem(IDC_RECEIVE)->EnableWindow(FALSE);
        GetDlgItem(IDC_STATIC_SIZE)->EnableWindow(FALSE);
        GetDlgItem(IDC_EDIT_SIZE)->EnableWindow(FALSE);


        GetDlgItem(IDC_STATIC_VPI)->EnableWindow(FALSE);
        GetDlgItem(IDC_STATIC_VCI)->EnableWindow(FALSE);
        GetDlgItem(IDC_EDIT_VPI)->EnableWindow(FALSE);
        GetDlgItem(IDC_EDIT_VCI)->EnableWindow(FALSE);
        GetDlgItem(IDC_STATIC_ATM_ADDRESS)->EnableWindow(FALSE);
        GetDlgItem(IDC_EDIT_ATM_SERVER_ADDRESS)->EnableWindow(FALSE);
        GetDlgItem(IDC_STATIC_ATM_SELECTOR)->EnableWindow(FALSE);
        GetDlgItem(IDC_EDIT_ATM_SELECTOR)->EnableWindow(FALSE);
 
        GetDlgItem(IDC_STATIC_PCR)->EnableWindow(FALSE);
        GetDlgItem(IDC_EDIT_PCR)->EnableWindow(FALSE);
        GetDlgItem(IDC_STATIC_PCR_CELL)->EnableWindow(FALSE);
        GetDlgItem(IDC_STATIC_SCR)->EnableWindow(FALSE);
        GetDlgItem(IDC_EDIT_SCR)->EnableWindow(FALSE);
        GetDlgItem(IDC_STATIC_SCR_CELL)->EnableWindow(FALSE);
        GetDlgItem(IDC_STATIC_MBS)->EnableWindow(FALSE);
        GetDlgItem(IDC_EDIT_MBS)->EnableWindow(FALSE);
        GetDlgItem(IDC_STATIC_MBS_CELL)->EnableWindow(FALSE);
   
        GetDlgItem(IDC_STATIC_SELECT_DEVICE)->EnableWindow(FALSE);
        GetDlgItem(IDC_SELECT_DEVICE)->EnableWindow(FALSE);


        GetDlgItem(IDC_STATIC_CONNECTION_GROUP)->EnableWindow(FALSE);
        GetDlgItem(IDC_STATIC_VC_GROUP)->EnableWindow(FALSE);
        GetDlgItem(IDC_STATIC_FLOW_GROUP)->EnableWindow(FALSE);
        GetDlgItem(IDC_STATIC_INFO_GROUP)->EnableWindow(FALSE);
      

        GetDlgItem(IDC_START)->EnableWindow(FALSE);
        GetDlgItem(IDC_STOP)->EnableWindow(FALSE);

        GetDlgItem(IDCANCEL)->EnableWindow(TRUE);

		GetDlgItem(IDC_CHECK_LOOPBACK)->EnableWindow(FALSE);

    }
    else   if (ConnectedState == STATE_NOT_CONNECTED)
    {
        if (m_ATMDeviceCount == 1)
        {
           GetDlgItem(IDC_SELECT_DEVICE)->EnableWindow(FALSE);
           GetDlgItem(IDC_STATIC_SELECT_DEVICE)->EnableWindow(FALSE);
        }
        else
        {
            GetDlgItem(IDC_STATIC_SELECT_DEVICE)->EnableWindow(TRUE);
            GetDlgItem(IDC_SELECT_DEVICE)->EnableWindow(TRUE);
        }
        GetDlgItem(IDC_CNX_TYPE1)->EnableWindow(TRUE);
		if (pAdapters[TestDevice].AdapterType == NDIS_ADAPTER)
		{
			GetDlgItem(IDC_CNX_TYPE2)->EnableWindow(TRUE);
			GetDlgItem(IDC_CNX_TYPE3)->EnableWindow(TRUE);
		}
		else
		{
			GetDlgItem(IDC_CNX_TYPE2)->EnableWindow(FALSE);
			GetDlgItem(IDC_CNX_TYPE3)->EnableWindow(FALSE);
		}
        GetDlgItem(IDC_STATIC_QOS)->EnableWindow(TRUE);
        GetDlgItem(IDC_QOS_CHOICE)->EnableWindow(TRUE);
        GetDlgItem(IDC_CHECK_QOS)->EnableWindow(TRUE);
        GetDlgItem(IDC_STATIC_LAYER)->EnableWindow(TRUE);
        GetDlgItem(IDC_LAYER_CHOICE)->EnableWindow(TRUE);
        GetDlgItem(IDC_XMIT)->EnableWindow(TRUE);
        GetDlgItem(IDC_RECEIVE)->EnableWindow(TRUE);
        GetDlgItem(IDC_STATIC_SIZE)->EnableWindow(TRUE);
        GetDlgItem(IDC_EDIT_SIZE)->EnableWindow(TRUE);

        GetDlgItem(IDC_STATIC_VPI)->EnableWindow(TRUE);
        GetDlgItem(IDC_STATIC_VCI)->EnableWindow(TRUE);
        GetDlgItem(IDC_EDIT_VPI)->EnableWindow(TRUE);
        GetDlgItem(IDC_EDIT_VCI)->EnableWindow(TRUE);
        GetDlgItem(IDC_STATIC_ATM_ADDRESS)->EnableWindow(TRUE);
        GetDlgItem(IDC_EDIT_ATM_ADDRESS1)->EnableWindow(TRUE);
        GetDlgItem(IDC_STATIC_ATM_SELECTOR)->EnableWindow(TRUE);
        GetDlgItem(IDC_EDIT_ATM_SELECTOR)->EnableWindow(TRUE);

        GetDlgItem(IDC_STATIC_PCR)->EnableWindow(TRUE);
        GetDlgItem(IDC_EDIT_PCR)->EnableWindow(TRUE);
        GetDlgItem(IDC_STATIC_PCR_CELL)->EnableWindow(TRUE);
        GetDlgItem(IDC_STATIC_SCR)->EnableWindow(TRUE);
        GetDlgItem(IDC_EDIT_SCR)->EnableWindow(TRUE);
        GetDlgItem(IDC_STATIC_SCR_CELL)->EnableWindow(TRUE);
        GetDlgItem(IDC_STATIC_MBS)->EnableWindow(TRUE);
        GetDlgItem(IDC_EDIT_MBS)->EnableWindow(TRUE);
        GetDlgItem(IDC_STATIC_MBS_CELL)->EnableWindow(TRUE);


        GetDlgItem(IDC_START)->EnableWindow(TRUE);
        GetDlgItem(IDCANCEL)->EnableWindow(TRUE);
        GetDlgItem(IDC_STOP)->EnableWindow(FALSE);

		GetDlgItem(IDC_CHECK_LOOPBACK)->EnableWindow(TRUE);

        m_Status = _T("Not Connected");

        if (m_ConnectionType == CONNECTION_PVC)
        {
            GetDlgItem(IDC_STATIC_VPI)->ShowWindow(SW_SHOW);
            GetDlgItem(IDC_STATIC_VCI)->ShowWindow(SW_SHOW);
            GetDlgItem(IDC_EDIT_VPI)->ShowWindow(SW_SHOW);
            GetDlgItem(IDC_EDIT_VCI)->ShowWindow(SW_SHOW);
            GetDlgItem(IDC_STATIC_ATM_ADDRESS)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_EDIT_ATM_SERVER_ADDRESS)->ShowWindow(SW_HIDE);

            GetDlgItem(IDC_STATIC_ATM_SELECTOR)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_EDIT_ATM_SELECTOR)->ShowWindow(SW_HIDE);

	        GetDlgItem(IDC_LAYER_CHOICE)->EnableWindow(TRUE);

			if (AALType == LAYER_AAL0)
			{
				GetDlgItem(IDC_STATIC_GFC)->EnableWindow(TRUE);
				GetDlgItem(IDC_EDIT_GFC)->EnableWindow(TRUE);
				GetDlgItem(IDC_STATIC_PT)->EnableWindow(TRUE);
				GetDlgItem(IDC_EDIT_PT)->EnableWindow(TRUE);
				GetDlgItem(IDC_STATIC_CLP)->EnableWindow(TRUE);
				GetDlgItem(IDC_EDIT_CLP)->EnableWindow(TRUE);
				m_PacketSize = 52;		
				GetDlgItem(IDC_EDIT_SIZE)->EnableWindow(FALSE);

			}
			else
			{
				GetDlgItem(IDC_STATIC_GFC)->EnableWindow(FALSE);
				GetDlgItem(IDC_EDIT_GFC)->EnableWindow(FALSE);
				GetDlgItem(IDC_STATIC_PT)->EnableWindow(FALSE);
				GetDlgItem(IDC_EDIT_PT)->EnableWindow(FALSE);
				GetDlgItem(IDC_STATIC_CLP)->EnableWindow(FALSE);
				GetDlgItem(IDC_EDIT_CLP)->EnableWindow(FALSE);
				GetDlgItem(IDC_EDIT_SIZE)->EnableWindow(TRUE);

			}
   
        }   
        else if (m_ConnectionType == CONNECTION_SVC_OUT)
        {
            GetDlgItem(IDC_STATIC_VPI)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_STATIC_VCI)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_EDIT_VPI)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_EDIT_VCI)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_STATIC_ATM_ADDRESS)->ShowWindow(SW_SHOW);
            GetDlgItem(IDC_EDIT_ATM_SERVER_ADDRESS)->ShowWindow(SW_SHOW);
            GetDlgItem(IDC_STATIC_ATM_SELECTOR)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_EDIT_ATM_SELECTOR)->ShowWindow(SW_HIDE);

			m_LayerChoice.SetCurSel(0);
	        GetDlgItem(IDC_LAYER_CHOICE)->EnableWindow(FALSE);

			GetDlgItem(IDC_STATIC_GFC)->EnableWindow(FALSE);
			GetDlgItem(IDC_EDIT_GFC)->EnableWindow(FALSE);
			GetDlgItem(IDC_STATIC_PT)->EnableWindow(FALSE);
			GetDlgItem(IDC_EDIT_PT)->EnableWindow(FALSE);
			GetDlgItem(IDC_STATIC_CLP)->EnableWindow(FALSE);
			GetDlgItem(IDC_EDIT_CLP)->EnableWindow(FALSE);
       
  
        }
        else if (m_ConnectionType == CONNECTION_SVC_IN)
        {
            GetDlgItem(IDC_STATIC_VPI)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_STATIC_VCI)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_EDIT_VPI)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_EDIT_VCI)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_STATIC_ATM_ADDRESS)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_EDIT_ATM_SERVER_ADDRESS)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_STATIC_ATM_SELECTOR)->ShowWindow(SW_SHOW);
            GetDlgItem(IDC_EDIT_ATM_SELECTOR)->ShowWindow(SW_SHOW);
  
			m_LayerChoice.SetCurSel(0);
	        GetDlgItem(IDC_LAYER_CHOICE)->EnableWindow(FALSE);

			GetDlgItem(IDC_STATIC_GFC)->EnableWindow(FALSE);
			GetDlgItem(IDC_EDIT_GFC)->EnableWindow(FALSE);
			GetDlgItem(IDC_STATIC_PT)->EnableWindow(FALSE);
			GetDlgItem(IDC_EDIT_PT)->EnableWindow(FALSE);
			GetDlgItem(IDC_STATIC_CLP)->EnableWindow(FALSE);
			GetDlgItem(IDC_EDIT_CLP)->EnableWindow(FALSE);

        }
   
        QOSChoice = m_QOSChoice.GetCurSel();
        if (m_ConnectionType == CONNECTION_SVC_IN)
        {
            GetDlgItem(IDC_STATIC_QOS)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_QOS_CHOICE)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_CHECK_QOS)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_STATIC_PCR)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_STATIC_SCR)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_STATIC_MBS)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_EDIT_PCR)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_EDIT_SCR)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_EDIT_MBS)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_STATIC_PCR_CELL)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_STATIC_SCR_CELL)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_STATIC_MBS_CELL)->ShowWindow(SW_HIDE);
        }
        else if (!m_SetQOS)
        {


            GetDlgItem(IDC_STATIC_QOS)->ShowWindow(SW_SHOW);
            GetDlgItem(IDC_QOS_CHOICE)->ShowWindow(SW_SHOW);
            GetDlgItem(IDC_CHECK_QOS)->ShowWindow(SW_SHOW);
            GetDlgItem(IDC_STATIC_PCR)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_EDIT_PCR)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_STATIC_PCR_CELL)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_STATIC_SCR)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_EDIT_SCR)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_STATIC_SCR_CELL)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_STATIC_MBS)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_EDIT_MBS)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_STATIC_MBS_CELL)->ShowWindow(SW_HIDE);


        }
        else if( QOSChoice == QOS_UBR  || QOSChoice == QOS_CBR)
        {
        
            GetDlgItem(IDC_STATIC_QOS)->ShowWindow(SW_SHOW);
            GetDlgItem(IDC_QOS_CHOICE)->ShowWindow(SW_SHOW);
            GetDlgItem(IDC_CHECK_QOS)->ShowWindow(SW_SHOW);
            GetDlgItem(IDC_STATIC_PCR)->ShowWindow(SW_SHOW);
            GetDlgItem(IDC_EDIT_PCR)->ShowWindow(SW_SHOW);
            GetDlgItem(IDC_STATIC_PCR_CELL)->ShowWindow(SW_SHOW);
            GetDlgItem(IDC_STATIC_SCR)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_EDIT_SCR)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_STATIC_SCR_CELL)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_STATIC_MBS)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_EDIT_MBS)->ShowWindow(SW_HIDE);
            GetDlgItem(IDC_STATIC_MBS_CELL)->ShowWindow(SW_HIDE);
   
        }
        else if (QOSChoice == QOS_VBR)
        {
  
            GetDlgItem(IDC_STATIC_QOS)->ShowWindow(SW_SHOW);
            GetDlgItem(IDC_QOS_CHOICE)->ShowWindow(SW_SHOW);
            GetDlgItem(IDC_CHECK_QOS)->ShowWindow(SW_SHOW);
            GetDlgItem(IDC_STATIC_PCR)->ShowWindow(SW_SHOW);
            GetDlgItem(IDC_EDIT_PCR)->ShowWindow(SW_SHOW);
            GetDlgItem(IDC_STATIC_PCR_CELL)->ShowWindow(SW_SHOW);
            GetDlgItem(IDC_STATIC_SCR)->ShowWindow(SW_SHOW);
            GetDlgItem(IDC_EDIT_SCR)->ShowWindow(SW_SHOW);
            GetDlgItem(IDC_STATIC_SCR_CELL)->ShowWindow(SW_SHOW);
            GetDlgItem(IDC_STATIC_MBS)->ShowWindow(SW_SHOW);
            GetDlgItem(IDC_EDIT_MBS)->ShowWindow(SW_SHOW);
            GetDlgItem(IDC_STATIC_MBS_CELL)->ShowWindow(SW_SHOW);
   
        }
    }
    else
    {
        GetDlgItem(IDC_CNX_TYPE1)->EnableWindow(FALSE);
        GetDlgItem(IDC_CNX_TYPE2)->EnableWindow(FALSE);
        GetDlgItem(IDC_CNX_TYPE3)->EnableWindow(FALSE);
        GetDlgItem(IDC_STATIC_QOS)->EnableWindow(FALSE);
        GetDlgItem(IDC_QOS_CHOICE)->EnableWindow(FALSE);
        GetDlgItem(IDC_CHECK_QOS)->EnableWindow(FALSE);
        GetDlgItem(IDC_STATIC_LAYER)->EnableWindow(FALSE);
        GetDlgItem(IDC_LAYER_CHOICE)->EnableWindow(FALSE);
        GetDlgItem(IDC_XMIT)->EnableWindow(FALSE);
        GetDlgItem(IDC_RECEIVE)->EnableWindow(FALSE);
        GetDlgItem(IDC_STATIC_SIZE)->EnableWindow(FALSE);
        GetDlgItem(IDC_EDIT_SIZE)->EnableWindow(FALSE);


        GetDlgItem(IDC_STATIC_VPI)->EnableWindow(FALSE);
        GetDlgItem(IDC_STATIC_VCI)->EnableWindow(FALSE);
        GetDlgItem(IDC_EDIT_VPI)->EnableWindow(FALSE);
        GetDlgItem(IDC_EDIT_VCI)->EnableWindow(FALSE);
        GetDlgItem(IDC_STATIC_ATM_ADDRESS)->EnableWindow(FALSE);
        GetDlgItem(IDC_EDIT_ATM_SERVER_ADDRESS)->EnableWindow(FALSE);
        GetDlgItem(IDC_STATIC_ATM_SELECTOR)->EnableWindow(FALSE);
        GetDlgItem(IDC_EDIT_ATM_SELECTOR)->EnableWindow(FALSE);
 
        GetDlgItem(IDC_STATIC_PCR)->EnableWindow(FALSE);
        GetDlgItem(IDC_EDIT_PCR)->EnableWindow(FALSE);
        GetDlgItem(IDC_STATIC_PCR_CELL)->EnableWindow(FALSE);
        GetDlgItem(IDC_STATIC_SCR)->EnableWindow(FALSE);
        GetDlgItem(IDC_EDIT_SCR)->EnableWindow(FALSE);
        GetDlgItem(IDC_STATIC_SCR_CELL)->EnableWindow(FALSE);
        GetDlgItem(IDC_STATIC_MBS)->EnableWindow(FALSE);
        GetDlgItem(IDC_EDIT_MBS)->EnableWindow(FALSE);
        GetDlgItem(IDC_STATIC_MBS_CELL)->EnableWindow(FALSE);
   
        GetDlgItem(IDC_STATIC_SELECT_DEVICE)->EnableWindow(FALSE);
        GetDlgItem(IDC_SELECT_DEVICE)->EnableWindow(FALSE);

        GetDlgItem(IDC_START)->EnableWindow(FALSE);
        GetDlgItem(IDCANCEL)->EnableWindow(FALSE);
        GetDlgItem(IDC_STOP)->EnableWindow(TRUE);
   
  		GetDlgItem(IDC_CHECK_LOOPBACK)->EnableWindow(FALSE);

		GetDlgItem(IDC_STATIC_GFC)->EnableWindow(FALSE);
		GetDlgItem(IDC_EDIT_GFC)->EnableWindow(FALSE);
		GetDlgItem(IDC_STATIC_PT)->EnableWindow(FALSE);
		GetDlgItem(IDC_EDIT_PT)->EnableWindow(FALSE);
		GetDlgItem(IDC_STATIC_CLP)->EnableWindow(FALSE);
		GetDlgItem(IDC_EDIT_CLP)->EnableWindow(FALSE);

        if (ConnectedState == STATE_CONNECTING)
            m_Status = _T("Waiting Call ..");
        else
            m_Status = _T("Connected");
    }
    
    UpdateData(FALSE);
}


BOOL CSettingsDlg::SetLoopbackMode(int DeviceNumber, BOOL bLoopbackMode)
{
	BOOL bReturn;

	if (pAdapters[DeviceNumber].AdapterType == NDIS_ADAPTER)
	{
		if (!ProtocolATMStart())
         return FALSE;

		bReturn =ProtocolATMSetLoopback(&pAdapters[DeviceNumber], bLoopbackMode);

		ProtocolATMStop();
	}
	else
	{

		bReturn =WDMATMSetLoopback(&pAdapters[DeviceNumber], bLoopbackMode);

	}
	return bReturn;

	
}


int CSettingsDlg::StartATMConnection(PATM_SETTINGS pSettings,HWND DialogHandle)
{
	int DeviceNumber = pSettings->DeviceNumber;
	
	if (pAdapters[DeviceNumber].AdapterType == NDIS_ADAPTER)
		return SockStartATMConnection( pSettings, DialogHandle);
	else
		return WDMStartATMConnection( &pAdapters[pSettings->DeviceNumber], pSettings, DialogHandle);

}


void CSettingsDlg::StopATMConnection(int DeviceNumber)
{
	
	if (pAdapters[DeviceNumber].AdapterType == NDIS_ADAPTER)
		SockStopATMConnection( );
	else
		WDMStopATMConnection( );
}


void CSettingsDlg::OnStart() 
{
	// TODO: Add your control notification handler code here
    int i;
    BYTE sByte[3];
    BYTE sAddress[41];
    BYTE AtmAddress[24];
    
    ConnectedState = STATE_CONNECTING;
    SetSelections();	

    memset(&InputSettings,0, sizeof(ATM_SETTINGS));

    InputSettings.DeviceNumber      = m_SelectDevice.GetCurSel();
    InputSettings.QualityOfServices = m_QOSChoice.GetCurSel();

    InputSettings.SetQosSettings=m_SetQOS;

    if(InputSettings.SetQosSettings)
    {
        switch (InputSettings.QualityOfServices)
        {
            case QOS_UBR:
                InputSettings.QosSettings.Ubr.PeakCellRate = m_PCR;
                break;

            case QOS_CBR:
                InputSettings.QosSettings.Cbr.PeakCellRate = m_PCR;
                break;

            case QOS_VBR:
                InputSettings.QosSettings.Vbr.PeakCellRate= m_PCR;
                InputSettings.QosSettings.Vbr.SubstainableCellRate=m_SCR;
                InputSettings.QosSettings.Vbr.MaxBurstSize = m_MBS;
                break;
        }
            
    }
    InputSettings.VcType = m_ConnectionType;
    switch (InputSettings.VcType)
    {
        case CONNECTION_PVC:
            InputSettings.VcSettings.Pvc.Vpi = m_VPI;
            InputSettings.VcSettings.Pvc.Vci = m_VCI;
			InputSettings.VcSettings.Pvc.Gfc =  m_GFCValue;
			InputSettings.VcSettings.Pvc.Pt  = m_PTValue;
			InputSettings.VcSettings.Pvc.Clp = m_CLPValue;
            break;

        case CONNECTION_SVC_IN:
            strcpy((char *)sAddress,m_Selector);
            sscanf((char *)sAddress,"%2x",&InputSettings.VcSettings.Svc.Selector);
            break;
                
        case CONNECTION_SVC_OUT:
            if (m_ServerAddress.GetLength() != 40)
            {
     		    THROW_MESSAGE("Error: The ATM Server Address Length must be 20", 0);
                CATCH_MESSAGE();
                ConnectedState = STATE_NOT_CONNECTED;
                SetSelections();	
                return;
            }
            strcpy((char *)sAddress,m_ServerAddress);
            for (i=0;i <20;i++)
            {
              memcpy((char *)sByte,&sAddress[i*2],2);
              sByte[2]='\0';
              sscanf((char *)sByte,"%2x",&AtmAddress[i]);  
            }
            memcpy(InputSettings.VcSettings.Svc.ServerAddress,AtmAddress,20);
            break;
          

    }
    InputSettings.PacketSize = m_PacketSize;
    InputSettings.AalType    = m_LayerChoice.GetCurSel();
    InputSettings.ReceiveFlow= m_Receive;
    InputSettings.XmitFlow   = m_Xmit;

	if (!SetLoopbackMode(InputSettings.DeviceNumber, m_Loopback))
	{
        CATCH_MESSAGE();
        SetSelections();	
		return;
	}

	InputSettings.bLoopbackMode = m_Loopback;

    if ((ConnectedState=StartATMConnection(&InputSettings, m_hWnd)) == STATE_NOT_CONNECTED)
    {
        CATCH_MESSAGE();
        SetSelections();
		OnStop();
        return;

    }
    else if (ConnectedState == STATE_CONNECTED)
    {
        m_RemoteAddress.Format("%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x",
                                   ConnectionInfo.RemoteATMAddress[0],ConnectionInfo.RemoteATMAddress[1],ConnectionInfo.RemoteATMAddress[2],ConnectionInfo.RemoteATMAddress[3],
                                   ConnectionInfo.RemoteATMAddress[4],ConnectionInfo.RemoteATMAddress[5],ConnectionInfo.RemoteATMAddress[6],ConnectionInfo.RemoteATMAddress[7],
                                   ConnectionInfo.RemoteATMAddress[8],ConnectionInfo.RemoteATMAddress[9],ConnectionInfo.RemoteATMAddress[10],ConnectionInfo.RemoteATMAddress[11],
                                   ConnectionInfo.RemoteATMAddress[12],ConnectionInfo.RemoteATMAddress[13],ConnectionInfo.RemoteATMAddress[14],ConnectionInfo.RemoteATMAddress[15],
                                   ConnectionInfo.RemoteATMAddress[16],ConnectionInfo.RemoteATMAddress[17],ConnectionInfo.RemoteATMAddress[18],ConnectionInfo.RemoteATMAddress[19]);

        m_AssignedVPI  = ConnectionInfo.Vpi;
        m_AssignedVCI  = ConnectionInfo.Vci;
		m_ReceivedCellHeader.Empty();
        UpdateData(FALSE);

    }

    m_OldReceiveBytes = m_ReceiveBytes=   m_OldXmitBytes	  = m_XmitBytes=0;
    m_XmitPackets = m_ReceivePackets = 0;
	
    
    SetSelections();	
   
    SetTimer(1,1000 * UPDATE_INTERVAL,NULL);

     
}


void CSettingsDlg::OnStop() 
{
	// TODO: Add your control notification handler code here
    ConnectedState = STATE_NOT_CONNECTED;
    SetSelections();	
	StopATMConnection(InputSettings.DeviceNumber);
	if (InputSettings.bLoopbackMode)
		SetLoopbackMode(InputSettings.DeviceNumber, FALSE);
    
}
BOOL CSettingsDlg::CheckTestSanity() 
{
	if (((++IntervalCheck) % 5) == 0)
	{

		if (m_XmitPackets < 2)
		{
			AfxMessageBox(" ERROR : NO TRANSMISSION DETECTED", MB_ICONERROR);
			OnStop();
			return FALSE;

		}
		else if (m_ReceivePackets <2 )
		{
			AfxMessageBox(" ERROR : NO RECEPTION DETECTED", MB_ICONERROR);
			OnStop();
			return FALSE;


		}
		else if ( m_ReceiveLost > IntervalCheck * 10)
		{
			AfxMessageBox(" ERROR : TOO LOST PACKETS", MB_ICONERROR);
			OnStop();
			return FALSE;

		}
		else if (m_XmitRate < pAdapters[TestDevice].Speed/2)
		{
			AfxMessageBox(" ERROR : TRANSMISSION RATE TOO LOW", MB_ICONERROR);
			OnStop();
			return FALSE;

		}
		else if (m_ReceiveRate < pAdapters[TestDevice].Speed/2)
		{
			AfxMessageBox(" ERROR : RECEPTION RATE TOO LOW", MB_ICONERROR);
			OnStop();
			return FALSE;

		}
		if (m_XmitPackets > 100000 )
		{
			AfxMessageBox(" LOOPBACK TESTS SUCESSFULLY PASSEDS", MB_ICONINFORMATION);
			OnStop();
			return FALSE;

		}

	}
	return TRUE;

}

void CSettingsDlg::OnTimer(UINT nIDEvent) 
{
	// TODO: Add your message handler code here and/or call default
    if( ConnectedState == STATE_NOT_CONNECTED)
    {
        m_ReceiveRate  = 0;
		m_XmitRate     = 0;
        KillTimer(1);

		if (bPowerOff)
		{
			ShutdownWindows();
			PostMessage(WM_QUIT);
		}
    }
    else
    {	
		
	    m_ReceivePackets=  ConnectionInfo.pktRecv;
	    m_XmitPackets   =  ConnectionInfo.pktXmit;
        m_ReceiveLost   =  ConnectionInfo.pktDrop;
        m_ReceiveBytes  =  ConnectionInfo.bytesRecv;
	    m_XmitBytes     =  ConnectionInfo.bytesXmit;
        m_ReceiveRate  = ((float) (m_ReceiveBytes - m_OldReceiveBytes))*8/(1024*1024*UPDATE_INTERVAL); 
	    m_XmitRate     = ((float) (m_XmitBytes -m_OldXmitBytes))*8/(1024*1024*UPDATE_INTERVAL);

        m_OldReceiveBytes = m_ReceiveBytes;
        m_OldXmitBytes	  = m_XmitBytes;

		if (ConnectionInfo.AALLayer == LAYER_AAL0)
			m_ReceivedCellHeader.Format("%8.8X",ConnectionInfo.RecvCellHeader);

		if (bBatchMode)
			CheckTestSanity();

    }
    UpdateData(FALSE);
  
    CDialog::OnTimer(nIDEvent);
    
    
}




void CSettingsDlg::OnKillfocusEditPcr() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
    if (m_PCR < m_SCR)
    {
        m_SCR=m_PCR;
        UpdateData(FALSE);

    }
}

void CSettingsDlg::OnKillfocusEditScr() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
    if (m_PCR < m_SCR)
    {
        m_PCR=m_SCR;
        UpdateData(FALSE);

    }
	
}


LRESULT CSettingsDlg::OnInfoMessage(WPARAM wParam, LPARAM lParam)
{
    ConnectedState = wParam;
    SetSelections();	
    CATCH_MESSAGE();
    if (ConnectedState == STATE_NOT_CONNECTED)
    {
        StopATMConnection(InputSettings.DeviceNumber);
    }
    else if (ConnectedState == STATE_CONNECTED)
    {
        m_RemoteAddress.Format("%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x%2.2x",
                                   ConnectionInfo.RemoteATMAddress[0],ConnectionInfo.RemoteATMAddress[1],ConnectionInfo.RemoteATMAddress[2],ConnectionInfo.RemoteATMAddress[3],
                                   ConnectionInfo.RemoteATMAddress[4],ConnectionInfo.RemoteATMAddress[5],ConnectionInfo.RemoteATMAddress[6],ConnectionInfo.RemoteATMAddress[7],
                                   ConnectionInfo.RemoteATMAddress[8],ConnectionInfo.RemoteATMAddress[9],ConnectionInfo.RemoteATMAddress[10],ConnectionInfo.RemoteATMAddress[11],
                                   ConnectionInfo.RemoteATMAddress[12],ConnectionInfo.RemoteATMAddress[13],ConnectionInfo.RemoteATMAddress[14],ConnectionInfo.RemoteATMAddress[15],
                                   ConnectionInfo.RemoteATMAddress[16],ConnectionInfo.RemoteATMAddress[17],ConnectionInfo.RemoteATMAddress[18],ConnectionInfo.RemoteATMAddress[19]);

        m_AssignedVPI  = ConnectionInfo.Vpi;
        m_AssignedVCI  = ConnectionInfo.Vci;
        UpdateData(FALSE);

    }
    return TRUE;
}

void CSettingsDlg::OnSelchangeSelectDevice() 
{
	// TODO: Add your control notification handler code here
    UpdateData(TRUE);
    SetATMAddresses();
    UpdateData(FALSE);
	
}

BOOL CSettingsDlg::ShutdownWindows(void)
{
	HANDLE hToken; 
	TOKEN_PRIVILEGES tkp; 
 
	// Get a token for this process. 
 
	if (!OpenProcessToken(GetCurrentProcess(), 
			TOKEN_ADJUST_PRIVILEGES | TOKEN_QUERY, &hToken)) 
	{
	
		return FALSE;
	}
 
	// Get the LUID for the shutdown privilege. 
 
	LookupPrivilegeValue(NULL, SE_SHUTDOWN_NAME, &tkp.Privileges[0].Luid); 
 
	tkp.PrivilegeCount = 1;  // one privilege to set    
	tkp.Privileges[0].Attributes = SE_PRIVILEGE_ENABLED; 
 
	// Get the shutdown privilege for this process. 
 
	AdjustTokenPrivileges(hToken, FALSE, &tkp, 0, 
			(PTOKEN_PRIVILEGES)NULL, 0); 
 
	// Cannot test the return value of AdjustTokenPrivileges. 
 
	if (GetLastError() != ERROR_SUCCESS) 
	{
		return FALSE;
	}
	BOOL bResult=ExitWindowsEx(EWX_SHUTDOWN | EWX_FORCE, SHTDN_REASON_MINOR_MAINTENANCE | SHTDN_REASON_FLAG_PLANNED);

	DWORD dwerr = 0;
	dwerr = GetLastError();

	return TRUE;

}

